CIF2CBF(1)

NAME
cif2cbf - convert a CIF to a CBF file

SYNOPSIS
cif2cbf [options]

DESCRIPTION
cif2cbf is a program that accepts either a CIF or a CBF as input and outputs a CBF file.

OPTIONS

-i input_cif
    (default: stdin) the input file in CIF or CBF format. If input_cif is not specified or is given as "-", it is copied from stdin to a temporary file.

-o output_cbf
    (default: stdout) the output cif (if base64 or quoted-printable encoding is used) or cbf (if no encoding is used). if no output_cif is specified or is given as "-", the output is written to stdout if the output_cbf is /dev/null, no output is written.

The remaining options specify the characteristics of the output cbf. The characteristics of the input cif are derived from context.

-c compression_scheme
    (packed, canonical, byte_offset, v2packed, flatpacked or none, default packed)

-m [no]headers
    (default headers for cifs, noheaders for cbfs) selects MIME (N. Freed, N. Borenstein, RFC 2045, November 1996) headers within binary data value text fields.

-d [no]digest
    (default md5 digest [R. Rivest, RFC 1321, April 1992 using"RSA Data Security, Inc. MD5 Message-Digest Algorithm"] when MIME headers are selected)

-e encoding
    (base64, quoted-printable or none, default base64) specifies one of the standard MIME encodings for an ascii cif or "none" for a binary cbf

-b byte_order
    (forward or backwards, default forward (1234) on little-endian machines, backwards (4321) on big-endian machines

-p K_of_padding
    (0, 1, 2, 4) for no padding after binary data 1023, 2047 or 4095 bytes of padding after binary data

-v dictionary
    specifies a dictionary to be used to validate the input cif and to apply aliases to the output cif. This option may be specified multiple times, with dictionaries layered in the order given.

-w  process wide (2048 character) lines

SEE ALSO
convert_image(1), img2cif(1), makecbf(1).

AUTHOR
cif2cbf was written by Herbert J. Bernstein.

This manual page was written by Morten Kjeldgaard <mok@bioxray.au.dk>, for the Debian project (but may be used by others).